ChST Time Now
ChST is the abbreviation of Chamorro Standard Time. Time zone offset of ChST is UTC+10. Chamorro Standard Time is 10 hours ahead from the UTC universal time. ChST current date is 8th Thursday October 2026. Current time in ChST (ChST).
ChST Time
04:46:47
8 October 2026 Thursday
ChST is the abbreviation of Chamorro Standard Time. It used to be known as the Guam Time Zone and it includes the territories of Guam and the Northern Mariana Islands, with both being under the rule of the US authorities. Chamorro Standard Time is valid for such cities as Saipan, Hagatna, and others, and it is 10 hours ahead from the UTC universal time.
What time is it in Chamorro Standard Time now? It is 04:46:47 right now.
Chamorro Standard Time Date and Time Now in Various Formats
| Date Time Format | ChST Date Time Now |
|---|---|
| UTC | 2026-10-08T04:46:47Z |
| ISO-8601 | 2026-10-08T04:46:47+0000 |
| RFC 2822 | Thu, 08 Oct 2026 04:46:47 +0000 |
| RFC 850 | Thursday, 08-Oct-26 04:46:47 UTC |
| RFC 1036 | Thu, 08 Oct 26 04:46:47 +0000 |
| RFC 1123 | Thu, 08 Oct 2026 04:46:47 +0000 |
| RFC 822 | Thu, 08 Oct 26 04:46:47 +0000 |
| RFC 3339 | 2026-10-08T04:46:47+00:00 |
| ATOM | 2026-10-08T04:46:47+00:00 |
| COOKIE | Thursday, 08-Oct-2026 04:46:47 UTC |
| RSS | Thu, 08 Oct 2026 04:46:47 +0000 |
| W3C | 2026-10-08T04:46:47+00:00 |
| Unix Epoch | 1791434807 |
| YYYY-DD-MM HH:MM:SS | 2026-08-10 04:46:47 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-08-10 04:46:47 AM |
| DD-MM-YYYY HH:MM:SS | 08-10-2026 04:46:47 |
| MM-DD-YYYY HH:MM:SS | 10-08-2026 04:46:47 |